/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";

const tipos = [
  { recursos: "- áudios;" },
  { recursos: "- imagens;" },
  { recursos: "- mapas;" },
  { recursos: "- softwares educacionais" },
  { recursos: "- textos;" },
  { recursos: "- vídeos" }
];

export default function Types(props) {
  return (
    <Card contrast={props.contrast}>
      <link
        href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap"
        rel="stylesheet"
      />
      <div style={{ marginBottom: "9px" }}>
        <span>{props.title}</span>
      </div>
      <p>
        A plataforma integra os Recursos Educacionais Digitais dos principais
        portais abertos. Conheça alguns deles:
      </p>
      <ul>
        {tipos.map(item => (
          <li>{item.recursos}</li>
        ))}
      </ul>
      <p>
        E ainda, nesta plataforma são organizados pelos diferentes componentes
        curriculares (matemática, artes, etc.) e etapas de ensino (Ensino Médio,
        Fundamental, Anos Iniciais, etc.) onde podem ser aplicados.
      </p>
    </Card>
  );
}

const Card = styled.div`
  background: ${props => props.contrast === "" ? "#fff" : "black"};
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  padding: 2em 1.5em;
  border: ${props => props.contrast === "" ? "none" : "1px solid white"};
  color: ${props => props.contrast === "" ? "#666" : "white"};
  font-weight: lighter;

  span {
    font-size: 14px;
    font-weight: bold;
  }

  ul {
    padding-left: 0 !important;
    margin-top: 0;
    margin-bottom: 10px;
    line-height: 1.42857143;
  }

  li {
    list-style-type: none;
    font-size: 14px;
  }

  a {
    font-weight: lighter;
    font-family: 'Roboto', 'sans-serif';
    color: ${props => props.contrast === "" ? "#00bcd4" : "yellow"};
    text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
    :hover{
      cursor: pointer;
      font-weight: 500;
    }
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }
`;